Package: primitives

## [Java] Class char[][]

- primitives.char[][]

-     public class char[][]
      extends Object

  GDK enhancements for char[][].

  displayName:
    char[][]
  receiverFqcn:
    char[][]

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public List<Character>` | `flatten()` Flattens a 2D array into a new collection.
    `` | `public char` | `transpose()` A transpose method for 2D char arrays.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `addShutdownHook, any, any, asBoolean, asType, collect, collect, collect, dump, each, eachMatch, eachMatch, eachWithIndex, every, every, find, find, findAll, findAll, findIndexOf, findIndexOf, findIndexValues, findIndexValues, findLastIndexOf, findLastIndexOf, findResult, findResult, findResult, findResult, getAt, getMetaClass, getMetaPropertyValues, getProperties, grep, grep, hasProperty, identity, inject, inject, inspect, invokeMethod, is, isCase, isNotCase, iterator, metaClass, print, print, printf, printf, println, println, println, putAt, respondsTo, respondsTo, setMetaClass, sleep, sleep, split, sprintf, sprintf, stream, tap, toString, use, use, use, with, with, withCloseable, withCloseable, withMethodClosure, withStream, withStream, withTraits`

- - ### Method Detail

    - #### public List<Character> flatten()

      Flattens a 2D array into a new collection. The items are copied row by row.

      Example usage:

           char[][] array = ['ab'.chars, 'cd'.chars]
           assert array.flatten() == ['a', 'b', 'c', 'd']

      Returns:
        a Collection of the array elements
      Since:
        5.0.0

    - #### public char transpose()

      A transpose method for 2D char arrays.

      Example usage:

           char[][] chars = [['a', 'b'], ['A', 'B']]
           char[][] expected = [['a', 'A'], ['b', 'B']]
           def result = chars.transpose()
           assert result == expected
           assert chars.class.componentType == result.class.componentType

      Returns:
        the transposed 2D char array
      Since:
        5.0.0